std::default_delete< _Tp >(3)

NAME
std::default_delete< _Tp >

SYNOPSIS

#include <memory>

  Public Member Functions
constexpr default_delete () noexcept=default
Default constructor.
template<typename _Up , typename = _Require<is_convertible<_Up*, _Tp*>>> constexpr default_delete (const default_delete< _Up > &) noexcept
Converting constructor.
constexpr void operator() (_Tp *__ptr) const
Calls delete __ptr

Detailed Description

  template<typename _Tp>
struct std::default_delete< _Tp >"Primary template of default_delete, used by unique_ptr for single objects

Since
    C++11

Constructor & Destructor Documentation

  template<typename _Tp > constexpr std::default_delete< _Tp >::default_delete () [constexpr], [default], [noexcept]

Default constructor.

  template<typename _Tp > template<typename _Up , typename = _Require<is_convertible<_Up*, _Tp*>>> constexpr std::default_delete< _Tp >::default_delete (const default_delete< _Up > &) [inline], [constexpr], [noexcept]

Converting constructor. Allows conversion from a deleter for objects of another type, _Up, only if _Up* is convertible to _Tp*.

Member Function Documentation

  template<typename _Tp > constexpr void std::default_delete< _Tp >::operator() (_Tp * __ptr) const [inline], [constexpr]

Calls delete __ptr

References std::forward().

Author

Generated automatically by Doxygen for libstdc++ from the source code.